diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/phased-array-spectrum-propagation-loss-model.h ns-3.44/src/spectrum/model/phased-array-spectrum-propagation-loss-model.h
--- ns-3.43/src/spectrum/model/phased-array-spectrum-propagation-loss-model.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/phased-array-spectrum-propagation-loss-model.h	2025-03-09 16:55:49.695372300 -0700
@@ -10,9 +10,9 @@
 
 #include "spectrum-value.h"
 
-#include <ns3/mobility-model.h>
-#include <ns3/object.h>
-#include <ns3/phased-array-model.h>
+#include "ns3/mobility-model.h"
+#include "ns3/object.h"
+#include "ns3/phased-array-model.h"
 
 namespace ns3
 {
@@ -20,9 +20,9 @@
 struct SpectrumSignalParameters;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
- * \brief spectrum-aware propagation loss model that is
+ * @brief spectrum-aware propagation loss model that is
  * compatible with PhasedArrayModel type of ns-3 antenna
  *
  * Interface for propagation loss models to be adopted when
@@ -38,8 +38,8 @@
     ~PhasedArraySpectrumPropagationLossModel() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -86,8 +86,8 @@
      * chained together, this method will also assign streams to the
      * downstream models.
      *
-     * \param stream the stream index offset start
-     * \return the number of stream indices assigned by this model
+     * @param stream the stream index offset start
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -98,8 +98,8 @@
      *
      * Subclasses must implement this; those not using random variables can return zero.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t DoAssignStreams(int64_t stream) = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/single-model-spectrum-channel.cc ns-3.44/src/spectrum/model/single-model-spectrum-channel.cc
--- ns-3.43/src/spectrum/model/single-model-spectrum-channel.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/single-model-spectrum-channel.cc	2025-03-09 16:55:49.695372300 -0700
@@ -12,19 +12,19 @@
 #include "spectrum-propagation-loss-model.h"
 #include "spectrum-transmit-filter.h"
 
-#include <ns3/angles.h>
-#include <ns3/antenna-model.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
-#include <ns3/node.h>
-#include <ns3/object.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/simulator.h>
+#include "ns3/angles.h"
+#include "ns3/antenna-model.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
+#include "ns3/node.h"
+#include "ns3/object.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/simulator.h"
 
 #include <algorithm>
 
@@ -136,7 +136,7 @@
 
         if ((*rxPhyIterator) != txParams->txPhy)
         {
-            Time delay = MicroSeconds(0);
+            Time delay;
 
             Ptr<MobilityModel> receiverMobility = (*rxPhyIterator)->GetMobility();
             NS_LOG_LOGIC("copying signal parameters " << txParams);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/single-model-spectrum-channel.h ns-3.44/src/spectrum/model/single-model-spectrum-channel.h
--- ns-3.43/src/spectrum/model/single-model-spectrum-channel.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/single-model-spectrum-channel.h	2025-03-09 16:55:49.695372300 -0700
@@ -12,15 +12,15 @@
 #include "spectrum-channel.h"
 #include "spectrum-model.h"
 
-#include <ns3/traced-callback.h>
+#include "ns3/traced-callback.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
- * \brief SpectrumChannel implementation which handles a single spectrum model
+ * @brief SpectrumChannel implementation which handles a single spectrum model
  *
  * All SpectrumPhy layers attached to this SpectrumChannel
  */
@@ -30,8 +30,8 @@
     SingleModelSpectrumChannel();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -53,8 +53,8 @@
     /**
      * Used internally to reschedule transmission after the propagation delay.
      *
-     * \param params
-     * \param receiver
+     * @param params
+     * @param receiver
      */
     void StartRx(Ptr<SpectrumSignalParameters> params, Ptr<SpectrumPhy> receiver);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-analyzer.cc ns-3.44/src/spectrum/model/spectrum-analyzer.cc
--- ns-3.43/src/spectrum/model/spectrum-analyzer.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-analyzer.cc	2025-03-09 16:55:49.695372300 -0700
@@ -8,12 +8,12 @@
 
 #include "spectrum-analyzer.h"
 
-#include <ns3/antenna-model.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/object-factory.h>
-#include <ns3/simulator.h>
-#include <ns3/trace-source-accessor.h>
+#include "ns3/antenna-model.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/object-factory.h"
+#include "ns3/simulator.h"
+#include "ns3/trace-source-accessor.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-analyzer.h ns-3.44/src/spectrum/model/spectrum-analyzer.h
--- ns-3.43/src/spectrum/model/spectrum-analyzer.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-analyzer.h	2025-03-09 16:55:49.695372300 -0700
@@ -13,10 +13,10 @@
 #include "spectrum-phy.h"
 #include "spectrum-value.h"
 
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
 
 #include <fstream>
 #include <string>
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Simple SpectrumPhy implementation that averages the spectrum power
  * density of incoming transmissions to produce a spectrogram.
@@ -41,8 +41,8 @@
     ~SpectrumAnalyzer() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -66,7 +66,7 @@
     /**
      * Set the AntennaModel to be used
      *
-     * \param a the Antenna Model
+     * @param a the Antenna Model
      */
     void SetAntenna(Ptr<AntennaModel> a);
 
@@ -100,12 +100,12 @@
 
     /**
      * Adds a signal to the data collected.
-     * \param psd signal to add
+     * @param psd signal to add
      */
     void AddSignal(Ptr<const SpectrumValue> psd);
     /**
      * Removes a signal to the data collected.
-     * \param psd signal to subtract
+     * @param psd signal to subtract
      */
     void SubtractSignal(Ptr<const SpectrumValue> psd);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-channel.cc ns-3.44/src/spectrum/model/spectrum-channel.cc
--- ns-3.43/src/spectrum/model/spectrum-channel.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-channel.cc	2025-03-09 16:55:49.695372300 -0700
@@ -8,10 +8,10 @@
 
 #include "spectrum-channel.h"
 
-#include <ns3/abort.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/pointer.h>
+#include "ns3/abort.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/pointer.h"
 
 namespace ns3
 {
@@ -33,9 +33,18 @@
 SpectrumChannel::DoDispose()
 {
     NS_LOG_FUNCTION(this);
+
+    // Any propagation model that holds a pointer
+    // back to the spectrum channel should not call Dispose()
+    // of its channel pointer, or else a loop may occur.
     m_propagationLoss = nullptr;
     m_propagationDelay = nullptr;
     m_spectrumPropagationLoss = nullptr;
+    if (m_phasedArraySpectrumPropagationLoss)
+    {
+        m_phasedArraySpectrumPropagationLoss->Dispose();
+    }
+    m_phasedArraySpectrumPropagationLoss = nullptr;
 }
 
 TypeId
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-channel.h ns-3.44/src/spectrum/model/spectrum-channel.h
--- ns-3.43/src/spectrum/model/spectrum-channel.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-channel.h	2025-03-09 16:55:49.695372300 -0700
@@ -15,13 +15,13 @@
 #include "spectrum-signal-parameters.h"
 #include "spectrum-transmit-filter.h"
 
-#include <ns3/channel.h>
-#include <ns3/mobility-model.h>
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/propagation-loss-model.h>
-#include <ns3/traced-callback.h>
+#include "ns3/channel.h"
+#include "ns3/mobility-model.h"
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/propagation-loss-model.h"
+#include "ns3/traced-callback.h"
 
 namespace ns3
 {
@@ -30,7 +30,7 @@
 class SpectrumValue;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Defines the interface for spectrum-aware channel implementations
  *
@@ -53,29 +53,29 @@
     void DoDispose() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Add the single-frequency propagation loss model to be used
-     * \warning only models that do not depend on the TX power should be used.
+     * @warning only models that do not depend on the TX power should be used.
      *
-     * \param loss a pointer to the propagation loss model to be used.
+     * @param loss a pointer to the propagation loss model to be used.
      */
     void AddPropagationLossModel(Ptr<PropagationLossModel> loss);
 
     /**
      * Add the frequency-dependent propagation loss model to be used
-     * \param loss a pointer to the propagation loss model to be used.
+     * @param loss a pointer to the propagation loss model to be used.
      */
     void AddSpectrumPropagationLossModel(Ptr<SpectrumPropagationLossModel> loss);
 
     /**
      * Add the frequency-dependent propagation loss model
      * that is compapatible with the phased antenna arrays at the TX and RX
-     * \param loss a pointer to the propagation loss model to be used.
+     * @param loss a pointer to the propagation loss model to be used.
      */
     void AddPhasedArraySpectrumPropagationLossModel(
         Ptr<PhasedArraySpectrumPropagationLossModel> loss);
@@ -85,32 +85,32 @@
      * the simulation if there exists a previously set propagation delay model
      * (i.e., unlike propagation loss models, multiple of which can be chained
      * together, there is only one propagation delay model).
-     * \param delay Ptr to the propagation delay model to be used.
+     * @param delay Ptr to the propagation delay model to be used.
      */
     void SetPropagationDelayModel(Ptr<PropagationDelayModel> delay);
 
     /**
      * Get the frequency-dependent propagation loss model.
-     * \returns a pointer to the propagation loss model.
+     * @returns a pointer to the propagation loss model.
      */
     Ptr<SpectrumPropagationLossModel> GetSpectrumPropagationLossModel() const;
 
     /**
      * Get the frequency-dependent propagation loss model that is
      * compatible with the phased antenna arrays at TX and RX
-     * \returns a pointer to the propagation loss model.
+     * @returns a pointer to the propagation loss model.
      */
     Ptr<PhasedArraySpectrumPropagationLossModel> GetPhasedArraySpectrumPropagationLossModel() const;
 
     /**
      * Get the propagation loss model.
-     * \returns a pointer to the propagation loss model.
+     * @returns a pointer to the propagation loss model.
      */
     Ptr<PropagationLossModel> GetPropagationLossModel() const;
 
     /**
      * Get the propagation delay model that has been set on the channel.
-     * \returns a pointer to the propagation delay model.
+     * @returns a pointer to the propagation delay model.
      */
     Ptr<PropagationDelayModel> GetPropagationDelayModel() const;
 
@@ -120,21 +120,21 @@
      * times to chain multiple filters together; the last filter added will
      * be the first one used in the chain.
      *
-     * \param filter an instance of a SpectrumTransmitFilter
+     * @param filter an instance of a SpectrumTransmitFilter
      */
     void AddSpectrumTransmitFilter(Ptr<SpectrumTransmitFilter> filter);
 
     /**
      * Get the transmit filter, or first in a chain of transmit filters
      * if more than one is present.
-     * \returns a pointer to the transmit filter.
+     * @returns a pointer to the transmit filter.
      */
     Ptr<SpectrumTransmitFilter> GetSpectrumTransmitFilter() const;
 
     /**
      * Used by attached PHY instances to transmit signals on the channel
      *
-     * \param params the parameters of the signals being transmitted
+     * @param params the parameters of the signals being transmitted
      */
     virtual void StartTx(Ptr<SpectrumSignalParameters> params) = 0;
 
@@ -147,13 +147,13 @@
      * objects), the base class of that object is responsible for ensuring
      * that all models in the chain have AssignStreams recursively called.
      *
-     * \param stream the stream index offset start
-     * \return the number of stream indices assigned by this model
+     * @param stream the stream index offset start
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
-     * \brief Remove a SpectrumPhy from a channel
+     * @brief Remove a SpectrumPhy from a channel
      *
      * This method is used to detach a SpectrumPhy instance from a
      * SpectrumChannel instance, so that the SpectrumPhy does not receive
@@ -168,7 +168,7 @@
     virtual void RemoveRx(Ptr<SpectrumPhy> phy) = 0;
 
     /**
-     * \brief Add a SpectrumPhy to a channel, so it can receive packets
+     * @brief Add a SpectrumPhy to a channel, so it can receive packets
      *
      * This method is used to attach a SpectrumPhy instance to a
      * SpectrumChannel instance, so that the SpectrumPhy can receive
@@ -179,7 +179,7 @@
      * This method is to be implemented by all classes inheriting from
      * SpectrumChannel.
      *
-     * \param phy the SpectrumPhy instance to be added to the channel as
+     * @param phy the SpectrumPhy instance to be added to the channel as
      * a receiver.
      */
     virtual void AddRx(Ptr<SpectrumPhy> phy) = 0;
@@ -187,9 +187,9 @@
     /**
      * TracedCallback signature for path loss calculation events.
      *
-     * \param [in] txPhy The TX SpectrumPhy instance.
-     * \param [in] rxPhy The RX SpectrumPhy instance.
-     * \param [in] lossDb The loss value, in dB.
+     * @param [in] txPhy The TX SpectrumPhy instance.
+     * @param [in] rxPhy The RX SpectrumPhy instance.
+     * @param [in] lossDb The loss value, in dB.
      */
     typedef void (*LossTracedCallback)(Ptr<const SpectrumPhy> txPhy,
                                        Ptr<const SpectrumPhy> rxPhy,
@@ -197,12 +197,12 @@
     /**
      * TracedCallback signature for path loss calculation events.
      *
-     * \param [in] txMobility The mobility model of the transmitter.
-     * \param [in] rxMobility The mobility model of the receiver.
-     * \param [in] txAntennaGain The transmitter antenna gain, in dB.
-     * \param [in] rxAntennaGain The receiver antenna gain, in dB.
-     * \param [in] propagationGain The propagation gain, in dB.
-     * \param [in] pathloss The path loss value, in dB.
+     * @param [in] txMobility The mobility model of the transmitter.
+     * @param [in] rxMobility The mobility model of the receiver.
+     * @param [in] txAntennaGain The transmitter antenna gain, in dB.
+     * @param [in] rxAntennaGain The receiver antenna gain, in dB.
+     * @param [in] propagationGain The propagation gain, in dB.
+     * @param [in] pathloss The path loss value, in dB.
      */
     typedef void (*GainTracedCallback)(Ptr<const MobilityModel> txMobility,
                                        Ptr<const MobilityModel> rxMobility,
@@ -213,7 +213,7 @@
     /**
      * TracedCallback signature for Ptr<const SpectrumSignalParameters>.
      *
-     * \param [in] params SpectrumSignalParameters instance.
+     * @param [in] params SpectrumSignalParameters instance.
      */
     typedef void (*SignalParametersTracedCallback)(Ptr<SpectrumSignalParameters> params);
 
@@ -222,8 +222,8 @@
      * This provides a base class implementation that may be subclassed
      * if needed by subclasses that might need additional stream assignments.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t DoAssignStreams(int64_t stream);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-converter.cc ns-3.44/src/spectrum/model/spectrum-converter.cc
--- ns-3.43/src/spectrum/model/spectrum-converter.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-converter.cc	2025-03-09 16:55:49.695372300 -0700
@@ -8,8 +8,8 @@
 
 #include "spectrum-converter.h"
 
-#include <ns3/assert.h>
-#include <ns3/log.h>
+#include "ns3/assert.h"
+#include "ns3/log.h"
 
 #include <algorithm>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-converter.h ns-3.44/src/spectrum/model/spectrum-converter.h
--- ns-3.43/src/spectrum/model/spectrum-converter.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-converter.h	2025-03-09 16:55:49.695372300 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Class which implements a converter between SpectrumValue which are
  * defined over different SpectrumModel. In more formal terms, this class
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-error-model.cc ns-3.44/src/spectrum/model/spectrum-error-model.cc
--- ns-3.43/src/spectrum/model/spectrum-error-model.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-error-model.cc	2025-03-09 16:55:49.695372300 -0700
@@ -8,8 +8,8 @@
 
 #include "spectrum-error-model.h"
 
-#include <ns3/log.h>
-#include <ns3/nstime.h>
+#include "ns3/log.h"
+#include "ns3/nstime.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-error-model.h ns-3.44/src/spectrum/model/spectrum-error-model.h
--- ns-3.43/src/spectrum/model/spectrum-error-model.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-error-model.h	2025-03-09 16:55:49.695372300 -0700
@@ -11,16 +11,16 @@
 
 #include "spectrum-value.h"
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  */
 class SpectrumErrorModel : public Object
@@ -28,33 +28,33 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     ~SpectrumErrorModel() override;
 
     /**
      * Start a packet reception
-     * \param p the packet
+     * @param p the packet
      */
     virtual void StartRx(Ptr<const Packet> p) = 0;
 
     /**
      * Evaluates a chunk
-     * \param sinr the SpectrumValue experienced by the Chunk
-     * \param duration the Chunk length
+     * @param sinr the SpectrumValue experienced by the Chunk
+     * @param duration the Chunk length
      */
     virtual void EvaluateChunk(const SpectrumValue& sinr, Time duration) = 0;
 
     /**
      * Checks if the packet being received is correct
-     * \returns true if the packet is correct.
+     * @returns true if the packet is correct.
      */
     virtual bool IsRxCorrect() = 0;
 };
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * This class implements the error model described in this paper:
  * N. Baldo and M. Miozzo, "Spectrum-aware Channel and PHY layer modeling
@@ -69,7 +69,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     // inherited from SpectrumErrorModel
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-interference.cc ns-3.44/src/spectrum/model/spectrum-interference.cc
--- ns-3.43/src/spectrum/model/spectrum-interference.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-interference.cc	2025-03-09 16:55:49.695372300 -0700
@@ -10,8 +10,8 @@
 
 #include "spectrum-error-model.h"
 
-#include <ns3/log.h>
-#include <ns3/simulator.h>
+#include "ns3/log.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-interference.h ns-3.44/src/spectrum/model/spectrum-interference.h
--- ns-3.43/src/spectrum/model/spectrum-interference.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-interference.h	2025-03-09 16:55:49.695372300 -0700
@@ -11,9 +11,9 @@
 
 #include "spectrum-value.h"
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
 
 namespace ns3
 {
@@ -21,7 +21,7 @@
 class SpectrumErrorModel;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * This class implements a gaussian interference model, i.e., all
  * incoming signals are added to the total interference.
@@ -35,7 +35,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc ns-3.44/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc
--- ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc	2025-03-09 16:55:49.695372300 -0700
@@ -12,36 +12,19 @@
 {
 
 /**
- * \ingroup spectrum
- * Spectrum model logger for frequencies between 300 Khz 300 Ghz
+ * @ingroup spectrum
+ * Spectrum model logger for frequencies between 300 KHz 300 GHz
  */
-Ptr<SpectrumModel> SpectrumModel300Khz300GhzLog;
-
-/**
- * \ingroup spectrum
- *
- * Static initializer class for Spectrum model logger
- * for frequencies between 300 Khz 300 Ghz
- */
-class static_SpectrumModel300Khz300GhzLog_initializer
+Ptr<SpectrumModel>
+SpectrumModel300Khz300GhzLog()
 {
-  public:
-    static_SpectrumModel300Khz300GhzLog_initializer()
+    std::vector<double> freqs;
+    for (double f = 3e5; f < 3e11; f = f * 2)
     {
-        std::vector<double> freqs;
-        for (double f = 3e5; f < 3e11; f = f * 2)
-        {
-            freqs.push_back(f);
-        }
-        SpectrumModel300Khz300GhzLog = Create<SpectrumModel>(freqs);
+        freqs.push_back(f);
     }
-};
-
-/**
- * \ingroup spectrum
- * Static variable for analyzer initialization
- */
-static_SpectrumModel300Khz300GhzLog_initializer
-    g_static_SpectrumModel300Khz300GhzLog_initializer_instance;
+    static Ptr<SpectrumModel> model = Create<SpectrumModel>(freqs);
+    return model;
+}
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h ns-3.44/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h
--- ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h	2025-03-09 16:55:49.695372300 -0700
@@ -14,8 +14,12 @@
 namespace ns3
 {
 
-extern Ptr<SpectrumModel> SpectrumModel300Khz300GhzLog;
+/**
+ * @brief Spectrum model logger for frequencies between 300 KHz 300 GHz
+ * @return Spectrum model with a range of 300 KHz to 300 GHz for center frequencies
+ */
+Ptr<SpectrumModel> SpectrumModel300Khz300GhzLog();
 
-}
+} // namespace ns3
 
 #endif /*  FREQS_300KHZ_300GHZ_LOG_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model.cc ns-3.44/src/spectrum/model/spectrum-model.cc
--- ns-3.43/src/spectrum/model/spectrum-model.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model.cc	2025-03-09 16:55:49.695372300 -0700
@@ -9,8 +9,8 @@
 
 #include "spectrum-model.h"
 
-#include <ns3/assert.h>
-#include <ns3/log.h>
+#include "ns3/assert.h"
+#include "ns3/log.h"
 
 #include <cmath>
 #include <cstddef>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model.h ns-3.44/src/spectrum/model/spectrum-model.h
--- ns-3.43/src/spectrum/model/spectrum-model.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model.h	2025-03-09 16:55:49.695372300 -0700
@@ -9,7 +9,7 @@
 #ifndef SPECTRUM_MODEL_H
 #define SPECTRUM_MODEL_H
 
-#include <ns3/simple-ref-count.h>
+#include "ns3/simple-ref-count.h"
 
 #include <cstddef>
 #include <vector>
@@ -18,17 +18,17 @@
 {
 
 /**
- * \defgroup spectrum Spectrum Models
+ * @defgroup spectrum Spectrum Models
  */
 
 /**
- * \ingroup spectrum
- * \ingroup tests
- * \defgroup spectrum-tests Spectrum Models tests
+ * @ingroup spectrum
+ * @ingroup tests
+ * @defgroup spectrum-tests Spectrum Models tests
  */
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * The building block of a SpectrumModel. This struct models
  * a frequency band defined by the frequency interval [fl, fc] and
@@ -63,9 +63,9 @@
   public:
     /**
      * Comparison operator. Returns true if the two SpectrumModels are identical
-     * \param lhs left operand
-     * \param rhs right operand
-     * \returns true if the two operands are identical
+     * @param lhs left operand
+     * @param rhs right operand
+     * @returns true if the two operands are identical
      */
     friend bool operator==(const SpectrumModel& lhs, const SpectrumModel& rhs);
 
@@ -125,8 +125,8 @@
     /**
      * Check if another SpectrumModels has bands orthogonal to our bands.
      *
-     * \param other another SpectrumModel
-     * \returns true if bands are orthogonal
+     * @param other another SpectrumModel
+     * @returns true if bands are orthogonal
      */
     bool IsOrthogonal(const SpectrumModel& other) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc ns-3.44/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc
--- ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc	2025-03-09 16:55:49.695372300 -0700
@@ -12,39 +12,20 @@
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  * Spectrum model logger for frequencies in the 2.4 GHz ISM band
  * with 1 MHz resolution.
  */
-Ptr<SpectrumModel> SpectrumModelIsm2400MhzRes1Mhz;
-
-/**
- * \ingroup spectrum
- *
- * Static initializer class for Spectrum model logger for
- * frequencies in the 2.4 GHz ISM band with 1 MHz resolution.
- */
-class static_SpectrumModelIsm2400MhzRes1Mhz_initializer
+Ptr<SpectrumModel>
+SpectrumModelIsm2400MhzRes1Mhz()
 {
-  public:
-    static_SpectrumModelIsm2400MhzRes1Mhz_initializer()
+    std::vector<double> freqs(100);
+    for (int i = 0; i < 100; ++i)
     {
-        std::vector<double> freqs;
-        freqs.reserve(100);
-        for (int i = 0; i < 100; ++i)
-        {
-            freqs.push_back((i + 2400) * 1e6);
-        }
-
-        SpectrumModelIsm2400MhzRes1Mhz = Create<SpectrumModel>(freqs);
+        freqs[i] = ((i + 2400) * 1e6);
     }
-};
-
-/**
- * \ingroup spectrum
- * Static variable for analyzer initialization
- */
-static_SpectrumModelIsm2400MhzRes1Mhz_initializer
-    g_static_SpectrumModelIsm2400MhzRes1Mhz_initializer_instance;
+    static Ptr<SpectrumModel> model = Create<SpectrumModel>(freqs);
+    return model;
+}
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h ns-3.44/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h
--- ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h	2025-03-09 16:55:49.695372300 -0700
@@ -14,8 +14,13 @@
 namespace ns3
 {
 
-extern Ptr<SpectrumModel> SpectrumModelIsm2400MhzRes1Mhz;
+/**
+ * @brief Spectrum model logger for frequencies in the 2.4 GHz ISM band
+ * with 1 MHz resolution.
+ * @return Spectrum model for 2.4 GHz ISM band
+ */
+Ptr<SpectrumModel> SpectrumModelIsm2400MhzRes1Mhz();
 
-}
+} // namespace ns3
 
 #endif /* FREQS_ISM2400MHZ_RES1MHZ_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-phy.cc ns-3.44/src/spectrum/model/spectrum-phy.cc
--- ns-3.43/src/spectrum/model/spectrum-phy.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-phy.cc	2025-03-09 16:55:49.695372300 -0700
@@ -11,9 +11,9 @@
 #include "spectrum-channel.h"
 #include "spectrum-value.h"
 
-#include <ns3/log.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
+#include "ns3/log.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-phy.h ns-3.44/src/spectrum/model/spectrum-phy.h
--- ns-3.43/src/spectrum/model/spectrum-phy.h	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-phy.h	2025-03-09 16:55:49.695372300 -0700
@@ -9,8 +9,8 @@
 #ifndef SPECTRUM_PHY_H
 #define SPECTRUM_PHY_H
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
 
 namespace ns3
 {
@@ -26,7 +26,7 @@
 struct SpectrumSignalParameters;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Abstract base class for Spectrum-aware PHY layers
  *
@@ -42,8 +42,8 @@
     SpectrumPhy& operator=(const SpectrumPhy&) = delete;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -91,7 +91,7 @@
     virtual Ptr<const SpectrumModel> GetRxSpectrumModel() const = 0;
 
     /**
-     * \brief Get the AntennaModel used by this SpectrumPhy instance for
+     * @brief Get the AntennaModel used by this SpectrumPhy instance for
      * transmission and/or reception
      *
      * Note that in general and depending on each module design, there can be
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.cc ns-3.44/src/spectrum/model/spectrum-propagation-loss-model.cc
--- ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/model/spectrum-propagation-loss-model.cc	2025-03-09 16:55:49.695372300 -0700
@@ -10,7 +10,7 @@
 
 #include "spectrum-signal-parameters.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
